export class CVTimeLineItem {

  language: string;
  employer: string;
  fromYear: number;
  toYear: number;
  title: string;
  description: string;
  iconName: string;
  fromMonth: string;
  toMonth: string;

  constructor() {
  }

  setIconName(iconName: string): CVTimeLineItem {
    this.iconName = iconName;
    return this;
  }

  setFromMonth(fromMonth: string) : CVTimeLineItem {
    this.fromMonth = fromMonth;
    return this;
  }

  setToMonth(toMonth: string) : CVTimeLineItem {
    this.toMonth = toMonth;
    return this;
  }

  setLanguage(language:string): CVTimeLineItem {
    this.language = language;
    return this;
  }

  setToYear(toYear: number): CVTimeLineItem {
    this.toYear = toYear;
    return this;
  }

  setFromYear(fromYear : number) : CVTimeLineItem {
    this.fromYear = fromYear;
    return this;
  }

  setDescription(description: string) : CVTimeLineItem {
    this.description = description;
    return this;
  }

  setEmployer(employer: string) : CVTimeLineItem {
    this.employer = employer;
    return this;
  }

  setTitle(title: string): CVTimeLineItem {
    this.title = title;
    return this;
  }
}
